Issue1261

classification
Title: jython -c "import sys; sys.exit(1)"
Type: Severity: normal
Components: Core Versions: 2.5b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: boisgera, fwierzbicki, pjenvey
Priority: high Keywords: test failure causes

Created on 2009-02-11.09:43:18 by boisgera, last changed 2009-03-14.23:24:20 by pjenvey.

Messages
msg4144 (view) Author: (boisgera) Date: 2009-02-11.09:43:17
Jython sys.exit values seems to be ignored: 

$ jython -c "import sys; sys.exit(1)"
$ echo $?
0

Related to http://bugs.jython.org/issue783042 ?
msg4145 (view) Author: (boisgera) Date: 2009-02-11.10:49:43
UPDATE: the error occurs only with --verify (my default), otherwise it
works. So the real error is:

$ jython --verify -c "import sys; sys.exit(1)"
$ echo $?
0
msg4296 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-14.14:56:42
This causes a failure in test_cmd_line.py.
msg4300 (view) Author: Philip Jenvey (pjenvey) Date: 2009-03-14.22:56:38
i'll take it
msg4301 (view) Author: Philip Jenvey (pjenvey) Date: 2009-03-14.23:24:20
fixed in r6096, thanks
History
Date User Action Args
2009-03-14 23:24:20pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg4301
2009-03-14 22:56:39pjenveysetassignee: fwierzbicki -> pjenvey
messages: + msg4300
nosy: + pjenvey
2009-03-14 14:56:42fwierzbickisetpriority: high
assignee: fwierzbicki
messages: + msg4296
keywords: + test failure causes
2009-02-25 00:40:10fwierzbickisetnosy: + fwierzbicki
2009-02-11 10:49:44boisgerasetmessages: + msg4145
2009-02-11 09:43:18boisgeracreate